summaryrefslogtreecommitdiff
path: root/t/parallel-tests-log-compiler-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/parallel-tests-log-compiler-1.sh')
-rwxr-xr-xt/parallel-tests-log-compiler-1.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/t/parallel-tests-log-compiler-1.sh b/t/parallel-tests-log-compiler-1.sh
index 10519e072..9c4ffce00 100755
--- a/t/parallel-tests-log-compiler-1.sh
+++ b/t/parallel-tests-log-compiler-1.sh
@@ -19,7 +19,7 @@
# and xxx_LOG_FLAGS), also with AC_SUBST'd stuff.
# See also related test 'parallel-tests-log-compiler-2.test'.
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_SUBST([acsubst_compiler], [t-compiler])
@@ -101,7 +101,7 @@ $AUTOCONF
$AUTOMAKE -a
./configure
-$MAKE check || { cat test-suite.log; Exit 1; }
+$MAKE check || { cat test-suite.log; exit 1; }
ls -l . sub
cat test-suite.log
test -f foo.log
@@ -111,13 +111,13 @@ test -f bla.log
test -f bli.suff.log
test -f sub/test.log
-T_LOG_FLAGS=--bad $MAKE -e check && Exit 1
+T_LOG_FLAGS=--bad $MAKE -e check && exit 1
cat test-suite.log
cat bla.log
# With the above flag overridden, bla.t should fail ...
$EGREP '(^ *|/)t-compiler:.* invalid .*--bad' bla.log
# ... but no other test should.
-grep -v '^FAIL: bla\.t ' bla.log | grep 'FAIL:' && Exit 1
+grep -v '^FAIL: bla\.t ' bla.log | grep 'FAIL:' && exit 1
# Try also with a VPATH build.
$MAKE distcheck